List Call Dispositions
curl --request GET \
--url https://api.trillet.ai/v1/api/call-dispositions \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/call-dispositions"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/call-dispositions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"dispositions": [
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"disposition": "callback_scheduled",
"status": "pending",
"scheduledAt": "2024-06-02T14:00:00.000Z",
"attempt": 1,
"agentId": "665a1b2c3d4e5f6a7b8c9d0f",
"batchId": "665a1b2c3d4e5f6a7b8c9d10",
"createdAt": "2024-06-01T10:00:00.000Z"
}
],
"total": 25,
"page": 1,
"limit": 50,
"totalPages": 1
}
}
List Call Dispositions
Retrieve a paginated list of call dispositions with filtering options.
GET
/
v1
/
api
/
call-dispositions
List Call Dispositions
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Query Parameters
number
default:"1"
Page number for pagination.
number
default:"50"
Number of records per page.
string
Filter by phone number.
string
Filter by batch call ID.
string
Filter by agent ID.
string
Filter by disposition status.
string
Filter by disposition type.
number
Filter by attempt number.
string
Search across dispositions.
string
Timezone for date formatting (e.g., “America/New_York”).
Response Fields
object
{
"data": {
"dispositions": [
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"disposition": "callback_scheduled",
"status": "pending",
"scheduledAt": "2024-06-02T14:00:00.000Z",
"attempt": 1,
"agentId": "665a1b2c3d4e5f6a7b8c9d0f",
"batchId": "665a1b2c3d4e5f6a7b8c9d10",
"createdAt": "2024-06-01T10:00:00.000Z"
}
],
"total": 25,
"page": 1,
"limit": 50,
"totalPages": 1
}
}
⌘I
